<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/bg_round_corner_8_222222"
    android:orientation="vertical"
    android:paddingHorizontal="13.3dp"
    android:paddingVertical="18.7dp">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:fontFamily="@font/gmarket_sans_bold"
            android:text="후원메시지"
            android:textColor="@color/color_eeeeee"
            android:textSize="14.7sp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_donation_message_count"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_toEndOf="@+id/tv_title"
            android:fontFamily="@font/gmarket_sans_medium"
            android:textColor="@color/color_eeeeee"
            android:textSize="14.7sp"
            tools:ignore="RelativeOverlap"
            tools:text="(2)" />

        <TextView
            android:id="@+id/tv_close"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:fontFamily="@font/gmarket_sans_light"
            android:text="닫기"
            android:textColor="@color/color_eeeeee"
            android:textSize="14.7sp" />
    </RelativeLayout>

    <TextView
        android:id="@+id/tv_none"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="30dp"
        android:fontFamily="@font/gmarket_sans_medium"
        android:gravity="center"
        android:text="후원메시지가 없습니다."
        android:textColor="@color/color_eeeeee"
        android:textSize="14.7sp"
        android:visibility="gone" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_donation_message"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="18.7dp"
        android:visibility="gone" />

</LinearLayout>
